/*Font Family*/
@font-face {
	font-family:'FontAwesome';
	font-style:normal;
	src: url(webfonts/fa-solid-900.eot);
	src: url(webfonts/fa-solid-900.svg),
	url(webfonts/fa-solid-900.ttf),
	url(webfonts/fa-solid-900.woff),
	url(webfonts/fa-solid-900.woff2);
}

@font-face {
	font-family:'Coffee-Regular';
	src: url(webfonts/kenyan-coffee-rg.ttf);
}

@font-face {
	font-family:'Pan-Pizza';
	src: url(webfonts/panpizza.ttf);
}

body {
    width:100%;
	margin-left:auto;
	margin-right:auto;
	margin-top:0;
	margin-bottom:5px;
	min-height:99%;
    font-size:100%;
    font-family: Arial, sans-serif;
}
.fas {
    font-family: FontAwesome;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
}

/* Login Page */
.login-bg {
    background: url(../images/bg.jpg) no-repeat fixed;
    
}

#order-page {
    background: url(../images/bg.jpg) no-repeat fixed;
}

.login-container {
    width: 100%;
    margin-right: auto;
    margin-left: auto;
}

.login-header {
    font-family: Coffee-Regular;
    color: #FFF;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    max-width: 550px;
    margin-top: 100px;
    margin-left: auto;
    margin-right: auto;
    font-size: 220%;
    text-shadow: 2px 2px 8px #000;
}

.login-block {
    color: #000;
    max-width: 360px;
    border-radius: 3px;
    border-color: #090;
    box-shadow: 0px 5px 20px #000;
    background: #FFF;
    margin-left: auto;
    margin-right: auto;
    padding: 30px 15px 30px 15px;
}

.login-container input[type=text], .login-container input[type=password] {
    padding: 10px;
    border: none !important;
}

.login-container input[type=text]:focus,
.login-container input[type=password]:focus {
	outline: none !important;
	box-shadow: none !important;
}

*, ::after, ::before {
    box-sizing: border-box;
}

.login-password,
.login-user {
    padding-right: 15px;
    padding-left: 15px;
}

.login-button {
	cursor:pointer;
	height:40px;
	font-weight:bold;
	background-color: #501507;
	border:none;
	box-shadow:0px 2px 10px;
	border-radius:5px;
	transition:all .2s;
	width:100%;
	font-size:110%;
	color:#fff;
}

.login-button:hover {
    background-color:#030;
	border-color:#CCC;
	color:#fff;
}

.login-logo {
    background-image: url(../images/login_logo.png);
    height: 70px;
    width: 270px;
}

.shake {
    animation: shake 0.82s cubic-bezier(.36,.07,.19,.97) both;
}

/* Shake Animation */
@keyframes shake {
    10%, 90% {
      transform: translate3d(-1px, 0, 0);
    }
    
    20%, 80% {
      transform: translate3d(2px, 0, 0);
    }
  
    30%, 50%, 70% {
      transform: translate3d(-4px, 0, 0);
    }
  
    40%, 60% {
      transform: translate3d(4px, 0, 0);
    }
  }
/* End Login Page */

/* Form Styling */
.form-default {
    display: block;
    width: 100%;
    height: calc(1.5em + .75rem + 2px);
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    height: auto !important;
}

.input-group>.form-default {
    position: relative;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    width: 1%;
    margin-bottom: 0;
}

.input-group {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: stretch;
    align-items: stretch;
    width: 100%;
    margin-bottom: 10px;
}

.input-group-text {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    padding: .375rem .75rem;
    margin-bottom: 0;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    text-align: center;
    white-space: nowrap;
    background-color: #e9ecef;
    border: 1px solid #ced4da;
    border-radius: .25rem;
}

.input-icon {
    background: none !important;
    border: none !important;
}

input:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus {
    background-color: #FFF !important;
    -webkit-box-shadow: 0 0 0 30px white inset;
    box-shadow: 0 0 0 30px white inset;
    border: 1px solid green;
    -webkit-text-fill-color: green;
    transition: background-color 5000s ease-in-out 0s;
}

nav.header {
    background: #385c30;
    height: 55px;
    padding: 3px;
    position: fixed;
    top: 0;
    width: 100%;
    left: 0;
    z-index: 1000;
}

nav.header .site-logo {
    background: url(../images/logo.png);
    height: 50px;
    width: 193px;
    float: left;
}

nav.header .user-icon {
    float: right;
    padding: 0 25px;
    height: 100%;
    font-size: 16px;
    line-height: 50px;
    border-radius: 25px 10px 10px 25px;
    background-color: #2b2626;
    color: #FFF;
}

nav.header .user-icon img {
    float: left;
    margin: 0 10px 0 -25px;
    height: 50px;
    width: 50px;
    border-radius: 50%;
}

nav.header .logout {
    float: right;
    height: 100%;
    background: #2b2626;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #FFF;
    margin-left: 10px;
    padding: 10px;
    cursor: pointer;
    border-radius: 10px;
}

nav.header .logout:hover {
    background: #b80d0d;
}

nav.header .logout .logout-icon {
    padding: 5px;
}

table.order-container {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    max-width: 1200px;
    box-shadow: 0px 5px 20px #000;
    border-radius: 10px;
    background: #ffffffa6;
    border-collapse: collapse;
}

.wrapper {
    margin-top: 70px;
    padding: 10px;
}

td .step-header {
    background-color: #003300bf;
    color: #FFF;
    padding: 10px;
    margin-bottom: 10px;
}

td .special-step-header {
    color: #FFF;
    padding: 10px;
    margin-bottom: 10px;
    text-align: center;
    font-size: 140%;
}

table.size-section {
    width: 100%;
    padding: 6px;
}

/* Style radio button */
.radio-container {
    display: flex;
    position: relative;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    justify-content: center;
    align-items: center;
}

.radio-container:hover input ~ span.radio {
    background-color: #ccc;
}

.radio-container input:checked ~ span.radio {
    background-color: #FF0000;
}

input[type=radio] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}
span.radio {
    position: absolute;
    height: 25px;
    width: 25px;
    background-color: #eee;
    border-radius: 50%;
}

span.radio:after {
    content: "";
    position: absolute;
    display: none;
}

.radio-container  input:checked ~ span.radio:after {
    display: block;
}

.radio-container  span.radio:after {
    top: 9px;
    left: 9px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: white;
}

td.radio-block {
    width: 30px;
}
/* End Radio Button */

table.size-section td,
table.size-section th {
    padding: 10px;
    text-align: center;
}

table.size-section td:nth-child(2), 
table.size-section th:nth-child(2) {
    text-align: left;
}

table.size-section td:nth-child(4), 
table.size-section th:nth-child(4) {
    text-align: right;
    width: 100px;
}

td.sauce-section .radio-container,
td.collection-section .radio-container {
    display: flex;
    position: relative;
    padding-left: 35px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    justify-content: left;
    align-items: center;
    padding-bottom: 20px;
}

td.sauce-section span.radio,
td.collection-section span.radio {
    position: absolute;
    height: 25px;
    width: 25px;
    left: 0;
    background-color: #eee;
    border-radius: 50%;
}

td.collection-section,
td.payment-section,
td.size-section {
    display: block;
}

table.toppings {
    width: 100%;
    text-align: center;
    border-spacing: 10px 0;
}

table.toppings th,
table.toppings td {
    border: 1px solid #333;
}

table.toppings thead th {
    border: none;
    font-size: 120%;
    padding: 10px;
}

/* Checkbox Styling */

.checkbox-container {
    display: flex;
    position: relative;
    padding-left: 35px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    justify-content: left;
    align-items: center;
    padding-bottom: 20px;
}

.checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

span.checkbox {
    position: absolute;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
}

.checkbox-container:hover input ~ span.checkbox {
    background-color: #ccc;
}

.checkbox-container input:checked ~ span.checkbox {
    background-color: #FF0000;
}

span.checkbox:after {
    content: "";
    position: absolute;
    display: none;
}

.checkbox-container input:checked ~ span.checkbox:after {
    display: block;
}

.checkbox-container span.checkbox:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

/* End Checkbox styling */

.toppings-selection .left-side,
.toppings-selection .right-side {
    padding: 20px 10px;
    width: 50%;
}

.toppings-selection .right-side {
    float: right;
}

.toppings-selection .left-side {
    float: left;
}

label.inline {
    display: inline-block;
    width: 100px;
}

label.inline + input {
    width: auto;
    display: inline-block;
    margin-bottom: 5px;
}

.total-row .total-label,
.total-row .grand-total-label {
    width: 100px;
    display: inline-block;
    background: #6e6060;
    padding: 5px;
    border-radius: 5px 0 0 5px;
    color: white;
}

.form-title {
    font-size: 500%;
    font-weight: bold;
    padding: 10px;
    font-family: Pan-Pizza;
    color: #ffffff;
    background: #501507;
    border-radius: 10px 10px 0 0;
}

td.button-section {
    width: 100%;
    text-align: center;
    padding-top: 50px;
    padding-bottom: 20px;
}

td.button-section .btn {
    padding: 10px;
    width: 33%;
    cursor: pointer;
    font-weight: bold;
    color: #FFF;
    border: 1px solid #807373;
}

td.button-section .btn:disabled {
    background: #999 !important;
    cursor: no-drop;
    color: #777 !important;
}

td.button-section .btn.order-btn {
    background: green;
}

td.button-section .btn.order-btn:hover {
    background: #166316;
}

td.button-section .btn.cancel-btn {
    background: red;
}

td.button-section .btn.cancel-btn:hover {
    background: #ea3636;
}

td.button-section .btn.exit-btn {
    background: #444040;
}

td.button-section .btn.exit-btn:hover {
    background: #292121;
}

.total-row {
    padding: 10px;
}

.total-row span.total-amount,
.total-row .grand-total-amount {
    padding: 5px;
    background: green;
    border-radius: 0 5px 5px 0;
    width: 200px;
    display: inline-block;
    color: #FFF;
    text-align: right;
}

.total-row .grand-total-amount,
.total-row .grand-total-label {
    font-weight: bold;
}

.pl-10 {
    padding-left: 10px;
}

span.dollar-sign {
    float: left;
}

span.total-num {
    margin-right: 10px;
}

.disabled-text {
    color: #777 !important;
}

.disabled-bg {
    background: #b7adacbd !important;
}

.disabled-border {
    border-color: #777 !important;
}

.special-section .checkbox-container {
    display: flex;
    position: relative;
    padding-left: 35px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    justify-content: left;
    align-items: center;
    padding-bottom: 20px;
    width: 1px;
}

.special-section .checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.special-section span.checkbox {
    position: absolute;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
}

.special-section .checkbox-container:hover input ~ span.checkbox {
    background-color: #ccc;
}

.special-section .checkbox-container input:checked ~ span.checkbox {
    background-color: #FF0000;
}

.special-section span.checkbox:after {
    content: "";
    position: absolute;
    display: none;
}

.special-section .checkbox-container input:checked ~ span.checkbox:after {
    display: block;
}

.special-section .checkbox-container span.checkbox:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

td.special-section {
    background: #003300bf;
}

table.toppings tbody th {
    background: #166316e0;
    color: #FFF;
}
/* End Form Styling */

/* Modal Styling */

/* Set a style for all buttons */
button {
    background-color: #4CAF50;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    width: 100%;
    opacity: 0.9;
}
  
button:hover {
    opacity:1;
}

.confirm-btn, .edit-btn {
    width: 49%;
}

.modal-content .edit-btn {
    background-color: #333;
    float: left;
}

.modal-content .confirm-btn {
    background-color: #f44336;
    float: right;
}

.container {
    padding: 16px;
    text-align: center;
}

/* The Modal (background) */
.modal {
    position: fixed;
    z-index: 1;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.7);
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 5% auto 15% auto;
    border: 1px solid #888;
    width: 60%;
    border-radius: 5px;
}

hr {
    border: 1px solid #f1f1f1;
    margin-bottom: 25px;
}

.close {
    position: absolute;
    right: 35px;
    top: 15px;
    font-size: 40px;
    font-weight: bold;
    color: #f1f1f1;
}

.close:hover,
.close:focus {
    color: #f44336;
    cursor: pointer;
}

.clearfix::after {
    content: "";
    clear: both;
    display: table;
}

#receiptTable {
    width: 100%;
    border-collapse: collapse;
}

#receiptTable td,
#receiptTable th {
    padding: 10px;
}

#receiptTable th {
    background: #003300bf;
    color: #FFF;
}

#receiptTable tbody tr:nth-child(even) {
    background: #deeaca;
}

#receiptTable td:nth-child(4),
#receiptTable th:nth-child(4),
#receiptTable td:nth-child(2),
#receiptTable th:nth-child(2) {
    text-align: right !important;
}

#receiptTable td:nth-child(1),
#receiptTable th:nth-child(1) {
    text-align: left;
}

#receiptTotal td:nth-child(2) {
    text-align: right !important;
}

.right-aligned {
    text-align: right !important;
}

.modal-header {
    text-align: center;
    padding: 20px 0;
}

.modal-header .header-title {
    font-size: 130%;
}

.modal-header span.receipt-num {
    float: left;
}

.modal-header span.receipt-date {
    float: right;
}

.bold-text {
    font-weight: bold;
}

#confirmModal .modal-content {
    width: 40% !important;
}

@media screen and (max-width: 300px) {
    .cancelbtn, .deletebtn {
       width: 100%;
    }
}

/* End Modal Styling */